After ISPConfig 3 Update (current Version), i got now Internal Server Error The server encountered

Discussion in 'Installation/Configuration' started by iceget, Oct 31, 2020.

  1. iceget

    iceget Member

    Dear Team,

    i have done a normal ISPConfig Update to Version 3.2. in Debian 9.13. After this update i get the Internal Server Error The server encountered 500 if i want access to the ISPConfig Interface.

    Where i can find the log and maybe fix this error?

    Thank you so much

    many greets
     
    Last edited: Oct 31, 2020
  2. ahrasis

    ahrasis Well-Known Member

    Normally they are in /var/log. By the way, are other sites and services working?
     
  3. Aldo Giove

    Aldo Giove New Member

    ahrasis likes this.
  4. iceget

    iceget Member

    Dear aldo,

    thank you i have instaslled php7.0 cgi, afer a reboot ispconfig now openes. but i get this error message now:
    Site error: the ionCube PHP Loader needs to be installed. This is a widely used PHP extension for running ionCube protected PHP code, website security and malware blocking. Please visit get-loader.ioncube.com for install assistance.

    if i try to access websites, or similar. can you help me again?

    thank you so so much
     
  5. Aldo Giove

    Aldo Giove New Member

    I'm happy I helped you, though not to solve the issue at 100%.
    Honestly, I never used IonCube so I can't help.
    I would say that your sites' PHP files are encrypted by IonCube, but nothing more. Googling a bit, it seems that other people had similar problems, but it looks that the solution is very dependent on your specific scenario.

    Sorry
    Aldo
     
  6. ahrasis

    ahrasis Well-Known Member

    Installing ioncube is quite easy. Just google around on how to set it in all of your php version but don't forget to restart that php afterwards.
     
    Aldo Giove likes this.
  7. iceget

    iceget Member

    ahrasis and Aldo Giove like this.

Share This Page